METASOURCES = AUTO
LIBGADU_COPY=
GG_INCLUDES=$(LIBGG_INCLUDES)
GG_LIBS=$(LIBGG_LIBS)


SUBDIRS = ui icons $(LIBGADU_COPY)
AM_CPPFLAGS = -I$(srcdir)/ui \
	-I./ui \
	-I./lib \
	-I$(srcdir)/lib \
	$(KOPETE_INCLUDES) \
	$(all_includes) \
	$(GG_INCLUDES)

kde_module_LTLIBRARIES = kopete_gadu.la

kopete_gadu_la_SOURCES = gaduaway.cpp gadueditcontact.cpp gaducommands.cpp \
			 gadueditaccount.cpp gadusession.cpp gaducontact.cpp \
			 gaduaddcontactpage.cpp gaduprotocol.cpp gaduaccount.cpp \
			 gadupubdir.cpp gaduregisteraccount.cpp \
			 gaducontactlist.cpp gadurichtextformat.cpp \
			 gadudccserver.cpp gadudcctransaction.cpp gadudcc.cpp

kopete_gadu_la_LDFLAGS = -no-undefined -module $(KDE_PLUGIN) $(all_libraries) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor -lgadu
kopete_gadu_la_LIBADD  = ./ui/libgaduui.la \
		       $(top_builddir)/kopete/libkopete/libkopete.la \
		       $(GG_LIBS)

service_DATA = kopete_gadu.desktop
servicedir = $(kde_servicesdir)
